Skip to main content
PUT
Update custom color palette

Authorizations

Authorization
string
header
required

Can be either an Organization API Key or Personal Access Token (PAT).

Include in the Authorization header as: Bearer YOUR_TOKEN

Path Parameters

colorPaletteId
string<uuid>
required

Palette ID

Example:

"3c90c3cc-0d44-4b50-8888-8dd25736052a"

Body

application/json
colors
string[]

Ordered hex colors. Discrete palettes are used in order; continuous palettes interpolate between them.

Required array length: 1 - 50 elements
Pattern: ^#(?:[0-9a-fA-F]{3}|[0-9a-fA-F]{4}|[0-9a-fA-F]{6}|[0-9a-fA-F]{8})$
Example:
id
string<uuid>

Palette ID. Visualizations reference the palette by this value.

created_at
string<date-time>

When the palette was created

name
string

Palette name, unique per type within the organization

Required string length: 1 - 256
Example:

"Brand colors"

type
enum<string>
  • discrete palettes color categories
  • continuous palettes define a gradient for numeric scales
Available options:
discrete,
continuous
Example:

"discrete"

updated_at
string<date-time>

When the palette was last updated

Response

Color palette updated

colors
string[]
required

Ordered hex colors. Discrete palettes are used in order; continuous palettes interpolate between them.

Required array length: 1 - 50 elements
Pattern: ^#(?:[0-9a-fA-F]{3}|[0-9a-fA-F]{4}|[0-9a-fA-F]{6}|[0-9a-fA-F]{8})$
Example:
id
string<uuid>
required

Palette ID. Visualizations reference the palette by this value.

created_at
string<date-time>
required

When the palette was created

name
string
required

Palette name, unique per type within the organization

Required string length: 1 - 256
Example:

"Brand colors"

type
enum<string>
required
  • discrete palettes color categories
  • continuous palettes define a gradient for numeric scales
Available options:
discrete,
continuous
Example:

"discrete"

updated_at
string<date-time>
required

When the palette was last updated